## AsContentRating AsContentRating — Object representing a content rating |

## Stability Level

Unstable, unless otherwise indicated

## Functions

AsContentRating * | as_content_rating_new ()
const gchar * | as_content_rating_value_to_string ()
AsContentRatingValue | as_content_rating_value_from_string ()
const gchar * | as_content_rating_get_kind ()
guint | as_content_rating_get_minimum_age ()
void | as_content_rating_set_kind ()

## Types and Values

#define | AS_TYPE_CONTENT
struct | AsContentRatingClass
enum | AsContentRatingValue
| AsContentRating

## Object Hierarchy

        GObject
        ╰── AsContentRating

## Includes

    #include <appstream-glib.h>

## Description

Content ratings are age-specific guidelines for applications.

See also: AsApp

## Functions

### as_content_rating_new ()

    AsContentRating *
    as_content_rating_new (void);

Creates a new AsContentRating.

#### Returns

a AsContentRating.

[transfer full]

Since: 0.5.12

### as_content_rating_value_to_string ()

    const gchar *
    as_content_rating_value_to_string (AsContentRatingValue value);

Converts the enumerated value to an text representation.

#### Parameters

value | the AsContentRatingValue. |

#### Returns

string version of `value`

Since: 0.5.12

### as_content_rating_value_from_string ()

    AsContentRatingValue
    as_content_rating_value_from_string (const gchar *value);

Converts the text representation to an enumerated value.

#### Parameters

value | the string. |

#### Returns

a AsContentRatingValue or `AS_CONTENT_RATING_VALUE_UNKNOWN` for unknown

Since: 0.5.12

### as_content_rating_get_kind ()

    const gchar *
    as_content_rating_get_kind (AsContentRating *content_rating);

Gets the content_rating kind.

#### Parameters

content_rating | a AsContentRating instance. |

#### Returns

a string, e.g. "oars-1.0", or NULL

Since: 0.5.12

### as_content_rating_get_minimum_age ()

    guint
    as_content_rating_get_minimum_age (AsContentRating *content_rating);

Gets the lowest Common Sense Media approved age for the content_rating block. NOTE: these numbers are based on the data and descriptions available from https://www.commonsensemedia.org/about-us/our-mission/about-our-ratings and you may disagree with them.

You're free to disagree with these, and of course you should use your own brain to work our if your child is able to cope with the concepts enumerated here. Some 13 year olds mey be fine with the concept of mutilation of body parts, others may get nightmares.

#### Parameters

content_rating | a AsContentRating |

#### Returns

The age in years, or G_MAXUINT for no details.

Since: 0.5.12

### as_content_rating_set_kind ()

    void
    as_content_rating_set_kind (AsContentRating *content_rating,
                                const gchar *kind);

Sets the content rating kind.

#### Parameters

content_rating | a AsContentRating instance. |
kind | the rating kind, e.g. "oars-1.0" |

Since: 0.5.12

## Types and Values

### AS_TYPE_CONTENT

    #define AS_TYPE_CONTENT (as_content_rating_get_type ())

### struct AsContentRatingClass

    struct AsContentRatingClass {
    	GObjectClass		parent_class;
    };

### enum AsContentRatingValue

The specified level of an content_rating rating ID.

#### Members

AS_CONTENT_RATING_VALUE_UNKNOWN | Unknown value |
AS_CONTENT_RATING_VALUE_NONE | None |
AS_CONTENT_RATING_VALUE_MILD | A small amount |
AS_CONTENT_RATING_VALUE_MODERATE | A moderate amount |
AS_CONTENT_RATING_VALUE_INTENSE | An intense amount |

### AsContentRating

    typedef struct _AsContentRating AsContentRating;